Subject: Re: newline in patch command output
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 6 May 2004 10:08:53 +0200

On May  5 06:50, Brian Dessent wrote:
> Baurjan Ismagulov wrote:
> > 
> > Hello,
> > 
> > I wish to use diff and patch on files with CR/LF newlines. I've
> > installed cygwin with DOS text file type. Diff produced a patch with
> > CR/LF. When I try to apply this patch, the modified files contain only
> > LF, and I have to run unix2dos on them. How can I make patch produce
> > output files with CR/LF in DOS mode?
> > 
> > I've tried to search this in google and list archives, but "patch"
> > brought too many false hits :( .
> 
> patch is a tricky area in terms of line-endings.  This is mostly
> explained in <http://www.cygwin.com/ml/cygwin/2003-03/msg00492.html>. 
> Patch can read in either binmode or textmode (depending on the mount and
> presense of --binary) but it always writes its output in binmode, which
> is what causes your CRs to go away.  Corinna might be able to clarify
> why this must be so.

I'm not sure if it "must", but it's the solution which costs as few grief
as possible.  I tried various combinations but in the end, writing all
output files in binary was the only one to stop patch to screw up files
in one way or the other.

Since you can be sure that patch creates always LF files, I don't see
a problem in using unix2dos on them afterwards.  It's reliable.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Co-Project Leader          mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/